
h1 {
    margin: 20px 0;
    font-size: 2em;
}

.grid-container{
    display: grid;
    gap: 20px;
    margin: 1rem 8px;
    overflow: hidden;
}

.grid-container div {
    padding: 20px;
    border: 1px solid #999;
    border-radius: 8px;
    display: grid;
}


.grid-container div {
    grid-template-areas:
       "title"
       "image"
       "description"
       "location"
}

.grid-container div h2{
    margin: 1rem 10px;
    grid-area: title;
}

/* General card styles */
.card {
    background: #f7f7f7;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.card img {
    width: 100%;
    height: 100%;
    border-radius: 5px;
    grid-area: image;
}

.card address {
    font-style: normal;
    font-weight: bold;
    margin: 10px 0;
    grid-area: location;
}

.card p{
    margin: 1rem 10px;
    grid-area: description;
}

button {
    background: var(--primary-color);
    color: #f7f7f7;
    padding: 10px 15px;
    border: none;
    cursor: pointer;
    font-size: 1.20em;
    margin-top: 10px;
    border-radius: 5px;
    height: 3.3rem;
    width: 100%;
}

button:hover {
    background: #0056b3;
}


/* Medium screens (641px - 1024px) */
@media screen and (min-width: 641px) and (max-width: 1024px) {
    .grid-container div{
        grid-template-areas:
        "image title"
        "image description"
        "image location";
    }

    .card img{
        width: 300px;
    }

    button{
        max-width: 300px;
    }
   
}

/* Large screens (1025px and above) */
@media screen and (min-width: 1025px) {
 
    .grid-container {
        grid-template-columns: repeat(4, 1fr);
    }
    
    .card img:hover {
        transform: scale(1.1); 
        filter: brightness(1.2); 
    } 

    .card img{
        max-height: 22rem;
    }

}
